Don’t pass empty entity ID lists to WikiPageMetaDataAccessor
Closed, ResolvedPublic

Description

If the list of depended entity IDs in CachingResultBuilder is empty for some reason, something must be wrong – at least the entity itself should always be in that set. In any event, there’s no point asking the WikiPageMetaDataAccessor for revision IDs in that case, at the risk of it issuing some empty query. Just short-circuit in getLatestRevisionIds instead.

Part of https://wikitech.wikimedia.org/wiki/Incident_documentation/20180226-WikibaseQualityConstraints.

Lucas_Werkmeister_WMDE triaged this task as High priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2018, 8:27 PM

Change 415025 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Don’t query WikiPageEntityMetaDataAccessor with empty list

https://gerrit.wikimedia.org/r/415025

Change 415025 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Don’t query WikiPageEntityMetaDataAccessor with empty list

https://gerrit.wikimedia.org/r/415025

Lucas_Werkmeister_WMDE closed this task as Resolved.Feb 28 2018, 1:03 PM

Change 415287 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.22] Don’t query WikiPageEntityMetaDataAccessor with empty list

https://gerrit.wikimedia.org/r/415287

Change 415288 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.23] Don’t query WikiPageEntityMetaDataAccessor with empty list

https://gerrit.wikimedia.org/r/415288

Change 415287 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.22] Don’t query WikiPageEntityMetaDataAccessor with empty list

https://gerrit.wikimedia.org/r/415287

Mentioned in SAL (#wikimedia-operations) [2018-02-28T14:48:35Z] <zfilipin@tin> Synchronized php-1.31.0-wmf.22/extensions/WikibaseQualityConstraints: SWAT: [[gerrit:415287|Don’t query WikiPageEntityMetaDataAccessor with empty list (T188311)]] (duration: 01m 02s)

Change 415288 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.23] Don’t query WikiPageEntityMetaDataAccessor with empty list

https://gerrit.wikimedia.org/r/415288

Mentioned in SAL (#wikimedia-operations) [2018-02-28T15:15:55Z] <zfilipin@tin> Synchronized php-1.31.0-wmf.23/extensions/WikibaseQualityConstraints/: SWAT: [[gerrit:415288|Don’t query WikiPageEntityMetaDataAccessor with empty list (T188311)]] [[gerrit:415290|Bump cache key for check results (T188384)]] (duration: 01m 02s)

WMDE-leszek moved this task from Done to Review on the Wikidata-Sprint-2018-02-14 board.